Bug 123633 - RFE: up2date should install pkgs w/o also checking RHN for new updates
RFE: up2date should install pkgs w/o also checking RHN for new updates
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 15:09 EDT by Tom O'Brien
Modified: 2013-02-26 19:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom O'Brien 2004-05-19 15:09:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I'd like to be able to push errata down to a set of servers deployed 
in the field (at different locations) using RHN.

I want to leave control of when to install packages to the local 
administrators of those servers (as installs may require a reboot). I 
don't want to allow local administrators to download additional 
packages direct from RHN, only packages that have been selected and 
pushed to the servers by me from RHN.

Currently, I can adjust the up2date client configuration to download 
packages only. This allows me to push errata downloads to the server.

However to install the errata from the client I have to use several 
manual steps to install the downloaded RPMs (see below).

I'd like to be able to do this through up2date (command line switches 
ideally), so I only need to do one command instead of several.

Version-Release number of selected component (if applicable):
up2date-4.2.14-1

How reproducible:
Always

Steps to Reproduce:
There should be an up2date command to install downloaded packages 
(and only downloaded packages), instead of having to do the following 
procedure:

1. rpm -Uvh /var/spool/up2date/*.rpm
2. manually delete the RPMs
3. Update the server's package profile with up2date -p
    

Additional info:
Comment 1 Suzanne Hillman 2004-05-21 15:33:16 EDT
Internal RFE bug #123929 entered; will be considered for future releases.
Comment 2 Todd Warner 2004-08-26 19:51:50 EDT
summary reduced a tad.

This is in a MODIFIED state. Adrian, what's the TEST PLAN? Failing QA
for lack of a test plan.
Comment 3 Adrian Likins 2004-08-31 18:32:26 EDT
this is an rfe, putting back in modified
Comment 5 Jiri Pallich 2012-06-20 12:04:33 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.